#!/bin/bash
#
# Run the axis admin-client
# 
# $Author: bablokb $
# $Revision: 1.1 $
#
# License: GPL2
# -----------------------------------------------------------------------------

addjars() {
  for d in $@; do
    jars=`find $d -name "*.jar" -maxdepth 1`
    for f in $jars; do
      cp=$cp:$f
    done
  done
  CPATH=$cp:$CPATH
}

AXIS_HOME=/usr/local/axis-1_2RC3
HOST="canopus"
PORT="8800"

addjars $AXIS_HOME/lib

java -cp $CPATH org.apache.axis.client.AdminClient \
   -lhttp://$HOST:$PORT/axis/services/AdminService "$@"
